Package org.apache.solr.common.util

# Class JavaBinCodec.StringCache

java.lang.Object
org.apache.solr.common.util.JavaBinCodec.StringCache

Enclosing class:
  `JavaBinCodec`

public static class JavaBinCodec.StringCache extends Object

## Constructor Summary

Constructors
Constructor
Description
`StringCache(Cache<StringBytes,String> cache)`

## Method Summary

Modifier and Type
Method
Description
`String`
`get(StringBytes b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringCache

public StringCache(Cache<StringBytes,String> cache)

## Method Details

### get

public String get(StringBytes b)